<?
/** 
* @package	Galeria Suczawa 2009 
* @file		functions.php
* @version	$Id$
* @author	PioDer <pioder@wp.pl>
* @link 	http://suczawa.ath.cx/
**/

#wyświetl błąd
function blad($msg)
{
	die('
	<h1>Blad Galerii Zdjec Suczawa 2009!</h1>
	<span style="color: red; font-weight: bold; font-size: 12pt">'.$msg.'</span>');
}

function GenerujListeStron()
{
   	global $cnt;
   	global $page;
   	$content = '';
   	
	if ($page>1)
	{
		$content .= '<a href="?page=1" title="Pierwsza strona">&lt;&lt;</a>';
		$content .= '&nbsp;&nbsp;<a href="?page='.($page-1).'" title="Poprzednia strona">&lt;</a> ';
	}
	
	#wygeneruj strony
	for ($i=1;$i<=$cnt;$i++)
   	{
     		if ($i==$page)
     		{
			if ($i == $cnt)
			{
				$content .= '<span style="text-decoration: underline">'.$i.'</span>';
			}
			else
			{
	    			$content .= '<span style="text-decoration: underline">'.$i.'</span>'.' | ';
			}
		}
		else
		{
			if ($i == $cnt)
			{
				$content .= '<a href="?page='.$i.'">'.$i.'</a> ';
			}
			else
			{
	    			$content .= '<a href="?page='.$i.'">'.$i.'</a> | ';
			}
		}
     	}
     	#dodaj linka "+1 strona" oraz do ostatniej
	if ($page<$cnt)
     	{
    		$content .= '<a href="?page='.($page+1).'" title="Następna strona">&gt;</a>';
    		$content .= '&nbsp;&nbsp;<a href="?page='.$cnt.'" title="Ostatnia strona">&gt;&gt;</a>';
	}
	
	#dodaj linka do ostatniej strony
     	echo $content;
}

?>
